LrcConnectionHandle (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.resource.jdbc.lrc
Class LrcConnectionHandle

    java.lang.Object
      bitronix.tm.resource.jdbc.BaseProxyHandlerClass
          bitronix.tm.resource.jdbc.lrc.LrcConnectionHandle

All Implemented Interfaces:
  InvocationHandler

    public class LrcConnectionHandle

extends BaseProxyHandlerClass

Connection handle implementation for a non-XA JDBC resource emulating XA with Last Resource Commit.

Author:
  lorban, brettw

Constructor Summary
`LrcConnectionHandle(LrcXAResource xaResource, Connection delegate)`

Method Summary
`void` | `close()`
`void` | `commit()`
`Connection` | `getConnection()`
`Object` | `getProxiedDelegate()` Must be implemented by the sub-class of this class.
`boolean` | `isClosed()`
`void` | `rollback()`
`void` | `rollback(Savepoint savepoint)`
`void` | `setAutoCommit(boolean autoCommit)`
`String` | `toString()`

Methods inherited from class bitronix.tm.resource.jdbc.BaseProxyHandlerClass
`invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LrcConnectionHandle

    public LrcConnectionHandle(LrcXAResource xaResource,
                               Connection delegate)

Method Detail

### getConnection

    public Connection getConnection()

### close

    public void close()
               throws SQLException

  Throws:
    `SQLException`

### isClosed

    public boolean isClosed()
                     throws SQLException

  Throws:
    `SQLException`

### setAutoCommit

    public void setAutoCommit(boolean autoCommit)
                       throws SQLException

  Throws:
    `SQLException`

### commit

    public void commit()
                throws SQLException

  Throws:
    `SQLException`

### rollback

    public void rollback()
                  throws SQLException

  Throws:
    `SQLException`

### rollback

    public void rollback(Savepoint savepoint)
                  throws SQLException

  Throws:
    `SQLException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getProxiedDelegate

    public Object getProxiedDelegate()
                              throws Exception

  Description copied from class: `BaseProxyHandlerClass`
  Must be implemented by the sub-class of this class. This method should return the "true" object to be delegated to in the case that the method is not overridden by the sub-class.

  Specified by:
    `getProxiedDelegate` in class `BaseProxyHandlerClass`
  Returns:
    the true delegate object
  Throws:
    `Exception` - can throw any exception if desired

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.